<?php

# User capabilities
$arr_capabilities = Array(
  'edit_encyclopedia_terms' => $this->t('Edit and create (own) terms'),
  'edit_others_encyclopedia_terms' => $this->t('Edit others terms'),
  'edit_private_encyclopedia_terms' => $this->t('Edit (own) private terms'),
  'edit_published_encyclopedia_terms' => $this->t('Edit (own) published terms'),

  'delete_encyclopedia_terms' => $this->t('Delete (own) terms'),
  'delete_private_encyclopedia_terms' => $this->t('Delete (own) private terms'),
  'delete_published_encyclopedia_terms' => $this->t('Delete (own) published terms'),
  'delete_others_encyclopedia_terms' => $this->t('Delete others terms'),

  'publish_encyclopedia_terms' => $this->t('Publish terms'),
  'read_private_encyclopedia_terms' => $this->t('View (others) private terms'),

  'manage_encyclopedia_categories' => $this->t('Manage categories'),
  'manage_encyclopedia_tags' => $this->t('Manage tags'),

);

# Show the user roles
ForEach ($GLOBALS['wp_roles']->roles AS $role_name => $arr_role) : ?>
  <h4><?php Echo Translate_User_Role($arr_role['name']) ?></h4>

  <?php ForEach ($arr_capabilities AS $capability => $caption) : ?>

    <div class="capability-selection">
      <span class="caption"><?php Echo $caption ?>:</span>

      <input type="radio" name="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>]" id="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>][yes]" value="yes" <?php Checked(IsSet($arr_role['capabilities'][$capability])) ?> >
      <label for="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>][yes]"><?php _e('Yes') ?></label>

      <input type="radio" name="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>]" value="no" id="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>][no]" <?php Checked(!IsSet($arr_role['capabilities'][$capability])) ?> >
      <label for="capabilities[<?php Echo $role_name ?>][<?php Echo $capability ?>][no]"><?php _e('No') ?></label>
    </div>

  <?php EndForEach ?>

<?php EndForEach;